<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_MISCELLANEOUS_PROJECT_COSTS_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/projects/includes/db/miscellaneous_project_cost_inquiry_db.inc");

$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Miscellaneous Project Costs Inquiry", false, false, "", $js);
//---------------------------------------------------------------------------------------------

simple_page_mode(true);


if (isset($_GET['project_id']))
{
	$_POST['project_id'] = $_GET['project_id'];
}
if (isset($_GET['from_date']))
{
	$_POST['from_date'] = $_GET['from_date'];
}
if (isset($_GET['to_date']))
{
	$_POST['to_date'] = $_GET['to_date'];
}



function selected_id($row)
{
    return get_project_trans_view_str(ST_MISCELLANEOUS_PROJECT_COST, $row['id']);
}

function reference($row)
{
    return $row['reference'];     
}

function project_description($row)
{
    return $row['project_description'];   
}

function ord_date($row)
{
   return sql2date($row['date']);
}

function comment($row)
{
   return $row['comment'];
}


function _approval_status($row)
{
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];    
}


function edit_link($row) 
{
//    if($row['approval_status'] == AS_NEW || $row['approval_status'] == AS_WITH_THE_APPROVER || $row['approval_status'] == AS_AWAITING_APPROVAL){
        $modify = "MPC_No"; 
        
        if($row['approval_status'] == 0){
            return pager_link( _("Edit"), "/projects/miscellaneous_project_costs.php?$modify=". $row['id'], ICON_EDIT);
        }elseif($row['approval_status'] == 10){
            return pager_link( _("Edit"), "/projects/miscellaneous_project_costs.php?$modify=". $row['id'], ICON_EDIT);              
        }elseif($row['approval_status'] == 20){             
            return pager_link( _("Edit"), "/projects/miscellaneous_project_costs.php?$modify=". $row['id'], ICON_EDIT); 
        }elseif($row['approval_status'] == 120){             
            return pager_link( _("Edit"), "/projects/miscellaneous_project_costs.php?$modify=". $row['id'], ICON_EDIT); 
        }else{
            return null;  
        }
   
}

//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
	$selected_id = -1;
}

if (isset($_POST['_selected_id_update']) )
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------


start_form();
start_table();
    start_row();
        ref_cells("ID:", 'selected_id');
        ref_cells("Reference:", 'reference');
    
    end_row();  

    start_row();
        date_cells("From Date:", 'from_date', '', null, -15);
        date_cells("To Date:", 'to_date', '', null, +15);
        project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);        
      
        submit_cells('SearchOrders', _("Search"),'',_('Search'), 'default');
    end_row();
end_table(1);

//---------------------------------------------------------------------------------------------

$project_id = "";
if(isset($_POST['project_id'])){
    $project_id = $_POST['project_id'];
}

$from_date = "";
if(isset($_POST['from_date'])){
    $from_date = $_POST['from_date'];
}

$to_date = "";
if(isset($_POST['to_date'])){
    $to_date = $_POST['to_date'];
}

$selected_id = "";
if(isset($_POST['selected_id'])){
    $selected_id = $_POST['selected_id'];
}

$reference = "";
if(isset($_POST['reference'])){
    $reference = $_POST['reference'];
}


    $sql = get_sql_for_miscellaneous_pc_inquiry($project_id, $from_date, $to_date, $selected_id, $reference);    
    
    $cols = array(
                _("ID")=> array('fun'=>'selected_id'),
                _("Reference")=> array('fun'=>'reference'),
                _("Project")=> array('fun'=>'project_description'),              
                _("Date")=>array('fun'=>'ord_date', 'align' => 'center'),
                _("Comment")=>array('fun'=>'comment'),
                _("Approval Status")=>array('fun'=>'_approval_status', 'align' => 'center')
               
);
    array_append($cols, array(		
		array('insert'=>true, 'fun'=>'edit_link')));

//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "80%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	



?>
